## Index

### Variables

- NESTED_ATTR_PATH_CAPTURED_REGEX
- NESTED_ATTR_PATH_REGEX

### Functions

- resolveAttributeNames

## Variables

### Const NESTED_ATTR_PATH_CAPTURED_REGEX

NESTED_ATTR_PATH_CAPTURED_REGEX: RegExp = /([a-z0-9A-Z_]+)(?:\[(\d+)])?\.?/g

- Defined in dynamo/expression/functions/attribute-names.function.ts:3

### Const NESTED_ATTR_PATH_REGEX

NESTED_ATTR_PATH_REGEX: RegExp = /^.+((\[(\d+)])|(\.)).*$/

- Defined in dynamo/expression/functions/attribute-names.function.ts:4

## Functions

### resolveAttributeNames

- resolveAttributeNames(attributePath: string, metadata?: Metadata<any> | undefined): object

- - Defined in dynamo/expression/functions/attribute-names.function.ts:7

  #### Parameters

  - ##### attributePath: string

  - ##### Optional metadata: Metadata<any> | undefined

  #### Returns object

  - ##### attributeNames: Record<string, string>

  - ##### placeholder: string

Generated using TypeDoc